#include <iostream>
#include <set>
#include <vector>
#include <algorithm>

               //123456
#define MILLION 1000010
using namespace std;
int main() {
    long long n, tmp, ans = 0;

    cin >> n;
    vector<long long> positions(MILLION);
    set<long long> live_bridges;
    for (long long i = 0; i < n; ++i) {
        cin >> tmp;

        vector<long long> to_delete;
        for (auto it = live_bridges.begin(); it != live_bridges.end() && *it < tmp; ++it)
            to_delete.push_back(*it);
        for (auto del:to_delete)
            live_bridges.erase(del);

        if (live_bridges.count(tmp) == 0)
            live_bridges.insert(tmp);
        else
            ans += i - positions[tmp] - 1;

        positions[tmp] = i;
    }

    cout << ans << endl;

    return 0;
}